NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
List of all members
NXOpen.Annotations.BaseCenterline3d Class Reference

Represents a Base 3D centerline More...

Inheritance diagram for NXOpen.Annotations.BaseCenterline3d:
NXOpen.Annotations.Centerline NXOpen.Annotations.DraftingAid NXOpen.Annotations.Annotation NXOpen.DisplayableObject NXOpen.NXObject NXOpen.IFitTo NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Annotations.Centerline3d NXOpen.Annotations.PmiCenterline3d

Additional Inherited Members

- Public Types inherited from NXOpen.DisplayableObject
enum  ObjectFont {
  Solid = 1, Dashed, Phantom, Centerline,
  Dotted, LongDashed, DottedDashed, Eight = 11,
  Nine, Ten, Eleven
}
 specifies the object font for objects such as lines More...
 
enum  ObjectWidth {
  Normal, Thick, Thin, One = 5,
  Two, Three, Four, Five,
  Six, Seven, Eight, Nine
}
 specifies object width for objects such as lines and text More...
 
- Public Member Functions inherited from NXOpen.Annotations.Annotation
unsafe
NXOpen.Annotations.Annotation.AssociativeOriginData 
GetAssociativeOrigin (out NXOpen.Point3d origin)
 Gets data that specifies the origin's associativity More...
 
unsafe
NXOpen.Annotations.Associativity 
GetAssociativity (int associativityIndex)
 Returns the associativity at specified index. More...
 
unsafe NXOpen.Xform GetInferredAnnotationPlane (NXOpen.Annotations.PmiDefaultPlane jaDefaultPlane)
 Returns the inferred annotation plane More...
 
unsafe
NXOpen.Annotations.LetteringPreferences 
GetLetteringPreferences ()
 Returns the lettering preferences for the annotation More...
 
unsafe
NXOpen.Annotations.LineAndArrowPreferences 
GetLineAndArrowPreferences ()
 Returns the line and arrow preferences for the annotation More...
 
unsafe
NXOpen.Annotations.SymbolPreferences 
GetSymbolPreferences ()
 Returns the symbol preferences for the annotation More...
 
unsafe NXOpen.View[] GetViews ()
 Returns the views that the PMI display instance object is displayed in NOTE: This method is only valid for PMI display instance objects. More...
 
unsafe void InsertIntoStack (NXOpen.Annotations.Annotation stack, NXOpen.Annotations.StackAlignmentPosition position)
 Inserts the annotation into a stack. More...
 
unsafe void RemoveFromStack ()
 Removes the annotation from a stack. More...
 
unsafe void SetAssociativeOrigin (NXOpen.Annotations.Annotation.AssociativeOriginData assocOrigin, NXOpen.Point3d origin)
 Associates the annotation's origin to the specified geometry. More...
 
unsafe void SetAssociativity (int associativityIndex, NXOpen.Annotations.Associativity associativity)
 Sets the associativity at specified index. More...
 
unsafe void SetLetteringPreferences (NXOpen.Annotations.LetteringPreferences letteringPrefs)
 Sets the lettering preferences for the annotation. More...
 
unsafe void SetLineAndArrowPreferences (NXOpen.Annotations.LineAndArrowPreferences lineArrowPrefs)
 Sets the line and arrow preferences for the annotation. More...
 
unsafe void SetSymbolPreferences (NXOpen.Annotations.SymbolPreferences symbolPrefs)
 Sets the symbol preferences for the annotation. More...
 
unsafe void SetViews (NXOpen.View[] modelViews)
 Sets the views that the PMI display instance object is displayed in. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Annotations.Annotation
unsafe NXOpen.Point3d AnnotationOrigin [get, set]
 Returns or sets the origin (location) of the annotation. More...
 
unsafe NXOpen.Xform AnnotationPlane [get, set]
 Returns or sets the annotation plane. More...
 
unsafe bool HasAssociativeOrigin [get]
 Returns a flag indicating whether the origin is associative More...
 
unsafe bool IsOutOfDate [get]
 Returns the flag indicating whether the annotation is out of date More...
 
unsafe bool IsRetained [get]
 Returns a flag indicating whether the annotation is retained More...
 
unsafe
NXOpen.Annotations.LeaderOrientation 
LeaderOrientation [get, set]
 Returns or sets the leader orientation for the annotation. More...
 
unsafe int NumberOfAssociativities [get]
 Returns the number of associativities for the annotation. More...
 
unsafe bool ParallelToScreen [get, set]
 Returns or sets the PMI parallel to screen setting More...
 
unsafe bool Suppressed [get]
 Returns the flag indicating whether the annotation is suppressed More...
 

Detailed Description

Represents a Base 3D centerline

This is an abstract class.

Created in NX7.5.0


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.